Subject: Re: [Detnet] Éric Vyncke's No Objection on draft-ietf-detnet-flow-information-model-13: (with COMMENT)

From: Balázs Varga A <[email-masked]>
Date: Thu, 14 Jan 2021 16:51:48 +0000

Hi Eric,
Many thanks for your comments.
Please, see my replies inline.
Cheers
Bala'zs

Ps: changes can be seen on GitHub:
https://github.com/detnet-wg/draft-ietf-detnet-flow-information-model/commit/7855ea01b1fec25ed1d4f0089bd990dc4b14ff1b

-----Original Message-----
From: detnet <[email-masked]> On Behalf Of Éric Vyncke via Datatracker
Sent: Thursday, December 17, 2020 12:26 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: [Detnet] Éric Vyncke's No Objection on draft-ietf-detnet-flow-information-model-13: (with COMMENT)

Éric Vyncke has entered the following ballot position for
draft-ietf-detnet-flow-information-model-13: No Objection

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-detnet-flow-information-model/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thank you for the work put into this document. From a purist point of view, I appreciate to see this document being published as "informational" and *before* the data models.

Please find below some non-blocking COMMENT points (but replies would be appreciated), and some nits.

I hope that this helps to improve the document,

Regards,

-éric

== COMMENTS ==

In general and may be I missed it, but I see no relationships between the three information models (app/flow/service) and relationships among entities are also quite an important part of information models.

-- Title --
The title is only about "flow" but the abstract and content are about "flow and services". Strongly suggest to update the title.
<BV> OK.

-- Section 1 --
Should "IP 6-tuple" have a reference? I guess that this is about the common 5-tuple + DSCP but a definition will be welcome (or add a reference to section
5.4.2)
<BV> OK. Reference to RFC8939 is added.

Adding a reference to IEEE 802.1 TSN ?

-- Section 1.1 --
I am puzzled by this sentence "herefore, the DetNet flow and service information models described in this document are based on [IEEE8021Qcc]"...
Does one information model supersede or contradict the other one ? Else, why redo the work at the IETF? It is partially answered in section 1.2 but still unclear to me.
<BV> No, the models do not supersede or contradict. They have similarities but IEEE work focus only on Layer-2 and deals with TSN Streams. IETF work was needed for Layer-3 (DetNet flows).

-- Section 5.2 --
Is the list strictly limited to Ethernet, MPLS, and IP ?
<BV> Yes.

-- Section 6.3.3 --
Isn't the word 'jitter' more common than 'Maximum Latency Variation' ?
<BV> Aaahh. That was the result of a long terminology discussion. We have intentionally avoided using the term jitter.

-- Section 6.3.5 & 6.3.6 --
Missing the unit ?
<BV> It is simple number of packets.

== NITS ==

-- Section 2.3 --
To respect the convention of the previous sentence, I would have expected that "SourceMacAddress" would be written as "SourceMACAddress" as "MAC" is an acronym ;-)
<BV> OK. For consistency with IEEE TSN documents we have used the TSN naming conventions. So I would keep it in its current form.

-- Section 5 --
s/with fix packet size/with fixed packet size/ ?
<BV> OK, thanks.

-- Section 5.1 --
s/many to one/n:1/ to be consistent ?
<BV> OK, thanks.

_______________________________________________
detnet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/detnet

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Thu, 14 Jan 2021 17:25:19 +0000

Balázs,

Thank you for your reply.

I agree with all your replies below ;-)

Regards

-éric

-----Original Message-----
From: Balázs Varga A <[email-masked]>
Date: Thursday, 14 January 2021 at 17:52
To: Eric Vyncke <[email-masked]>, The IESG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: [Detnet] Éric Vyncke's No Objection on draft-ietf-detnet-flow-information-model-13: (with COMMENT)

    Hi Eric,

    -----Original Message-----
    From: detnet <[email-masked]> On Behalf Of Éric Vyncke via Datatracker
    Sent: Thursday, December 17, 2020 12:26 PM
    To: The IESG <[email-masked]>
    Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
    Subject: [Detnet] Éric Vyncke's No Objection on draft-ietf-detnet-flow-information-model-13: (with COMMENT)

    Regards,

    -éric

    == COMMENTS ==

    -- Title --

    -- Section 1 --

    -- Section 1.1 --

    -- Section 5.2 --

    -- Section 6.3.3 --

    == NITS ==

    -- Section 2.3 --

    -- Section 5 --

    -- Section 5.1 --